from _add_use_case_scripts.requestPost  import postLayersToSwagger, postTableToSwagger
def add_table(use_case: str, table_name: str):
    '''
    take the columns and add the mappings at the server
    replace all "/"'s in the internal representation with a "_"
    '''

    columns = [
        # "docType",
        "objecttype",
        "tag"
    ]
    
    columns = { c : c for c in columns }
    columns["UniqueID"] = "objecttype+tag"

    table = {
        "name": table_name,
        "mappings": columns
    }

    postTableToSwagger(use_case,table)

def add_layers(use_case:str, table_name: str):
    layers = [
        {   #Useless as all objects aree the same type??
            "use_case": use_case,
            "table": table_name,
            "name": "Object_Type_Layer",
            "properties": [
                "UniqueID",
                "objecttype",
                "tag"
            ],
            "cluster_properties": [
                "objecttype"
            ]
        },
        {
            "use_case": use_case,
            "table": table_name,
            "name": "Tag_Layer",
            "properties": [
                "UniqueID",
                "objecttype",
                "tag"
            ],
            "cluster_properties": [
                "tag"
            ]
        }
    ]

    postLayersToSwagger(use_case,layers)    

def main(use_case: str):
    print("tag")
    table_name = "tag"
    add_table(use_case,table_name)
    add_layers(use_case,table_name)